Strumenti per testo ed elenchi
Pulisci, confronta e misura i contenuti senza caricare dati di lavoro.
Allinea il testo al centro
Centra ogni riga all'interno di una larghezza esatta in caratteri Unicode, mantenendo le righe vuote e rifiutando il troncamento distruttivo.
Apri strumento →Rimuovere Prefisso da Parole
Rimuovi un solo frammento iniziale esatto dalle parole Unicode corrispondenti e lascia intatti punteggiatura, spaziatura e parole non corrispondenti.
Apri strumento →Rimuovere Suffix da parole
Rimuovi un solo suffisso finale esatto dalle parole Unicode corrispondenti senza appiattire i separatori o modificare le parole che non presentano quel suffisso.
Apri strumento →Inserire un separatore tra i caratteri
Inserisci un separatore scelto tra i punti di codice Unicode senza dividere le coppie surrogate in metà non valide, ad esempio gli emoji.
Apri strumento →Citare ogni riga di testo
Avvolgi ogni riga tra virgolette doppie, virgolette singole o backtick, preservando le righe vuote e l'ordine originale delle righe.
Apri strumento →Rimuovi le virgolette dalle righe di testo
Rimuovi una coppia di virgolette esterne bilanciate da ciascuna riga usando il rilevamento automatico o esplicito dello stile delle virgolette.
Apri strumento →Cita ogni parola
Circonda ogni token di parola Unicode con un carattere di virgolette selezionato, mantenendo virgole, punteggiatura e spazi bianchi originali.
Apri strumento →Rimuovere le virgolette dalle parole
Rimuovi le virgolette singole attorno alle parole Unicode quando entrambe le virgolette coincidono, senza eliminare le virgolette non correlate dalla prosa.
Apri strumento →Normalizza le righe vuote
Limita le righe vuote consecutive a un massimo esatto, preservando l'indentazione e ogni riga non vuota.
Apri strumento →Converti gli spazi in nuove righe
Trasforma ogni token separato da spazi in una riga e comprimi in modo deterministico gli spazi ripetuti, le tabulazioni e le interruzioni di riga esistenti.
Apri strumento →Converti le nuove righe in un separatore
Unisci le righe di testo non vuote con un separatore configurabile, eliminando solo gli spazi bianchi esterni di ogni riga.
Apri strumento →Analisi di frequenza di parola
Ordina le parole Unicode per numero di occorrenze con lunghezza minima regolabile, limite dei risultati e confronto sensibile alle maiuscole.
Apri strumento →Ordina le lettere all'interno delle parole
Ordina le lettere e i numeri Unicode all'interno di ogni parola in modo indipendente senza spostare la punteggiatura né le parole stesse.
Apri strumento →Ordina tutti i caratteri di testo
Ordina ogni punto di codice Unicode nell'intero input con rimozione facoltativa degli spazi bianchi e direzione esplicita ascendente o discendente.
Apri strumento →Numero, testo, frasi
Metti ogni frase rilevata sulla propria riga numerata con un valore iniziale configurabile e tre stili di marcatori leggibili.
Apri strumento →Numero Testo Paragrafi
Numerare i paragrafi separati da righe vuote mantenendo tutte le interruzioni di riga interne di ogni paragrafo e la formattazione.
Apri strumento →Trovatore di frasi duplicate
Elenca le frasi complete ripetute con i conteggi usando un confronto esplicito sensibile o non sensibile alle maiuscole.
Apri strumento →Estrattore di frasi uniche
Mantieni la prima occorrenza di ogni frase completa e rimuovi le duplicazioni successive secondo una regola di distinzione tra maiuscole e minuscole selezionabile.
Apri strumento →Codificatore e decodificatore di testo Base32
Converti il testo UTF-8 in Base32 canonico RFC 4648 oppure decodifica rigorosamente un valore Base32 con o senza padding.
Apri strumento →Codificatore e decodificatore di testo Base32hex
Codifica e decodifica UTF-8 con l’alfabeto Base32 esadecimale esteso definito dalla sezione 7 dell’RFC 4648.
Apri strumento →Codificatore e decodificatore di testo Base45
Trasforma il testo UTF-8 con il compatto alfabeto Base45 RFC 9285 usato nei formati di dati orientati ai QR code.
Apri strumento →Codificatore e decodificatore di testo Bitcoin Base58
Converti i byte UTF-8 con l'alfabeto Base58 di Bitcoin preservando esattamente i byte zero iniziali.
Apri strumento →Codificatore e decodificatore di testo Ascii85
Codifica UTF-8 in gruppi Ascii85 di cinque caratteri o decodifica dati rigorosamente compatibili con Adobe con delimitatori opzionali e compressione z.
Apri strumento →Codificatore e decodificatore di testo Quoted-Printable
Codifica il testo in stile e-mail UTF-8 come quoted-printable RFC 2045 oppure decodifica gli escape convalidati in maiuscolo e le interruzioni di riga normalizzate dal browser.
Apri strumento →Nessuno strumento corrispondente in questa pagina.